Bug 8826 - Virtualbox dmks break on new install
: Virtualbox dmks break on new install
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: RPM Packages
: Cauldron
: All Linux
: Normal Severity: critical
: ---
Assigned To: Mageia Bug Squad
:
: http://www.mageialinux-online.org/for...
: MGA4TOO
:
: 12384 12578
:
  Show dependency treegraph
 
Reported: 2013-01-26 13:46 CET by Arnaud Vacquier
Modified: 2014-04-20 21:00 CEST (History)
1 user (show)

See Also:
Source RPM:
CVE:
Status comment:


Attachments

Description Arnaud Vacquier 2013-01-26 13:46:13 CET
hi
Description of problem:

after install virtualbox (urpmi virtualbox)
i create new computer but, when i launch the new computer crashing.

After help, we see the "dkms-virtualbox" is not install with virtualbox.

The dependancy is break, can you add "dkms-virtualbox" when we install virtualbox?

Version-Release number of selected component (if applicable):

Mageia 3 Kde x86_64

How reproducible:
urpmi virtualbox and do new computer



thank you,
sorry for bad english
Comment 1 Manuel Hiebel 2013-01-26 18:38:05 CET
if you have the kmod module (pre-builded), you don't need the dkms.
but you will need to reboot before using it

so rpm -qa | grep virtual ?
Comment 2 Arnaud Vacquier 2013-01-27 08:59:29 CET
hi,



[aranud@localhost ~]$ rpm -qa | grep virtual
dkms-virtualbox-4.2.6-4.mga3
virtualbox-kernel-3.8.0-desktop-0.rc5.1.mga3-4.2.6-8.mga3
virtualbox-4.2.6-4.mga3
virtualbox-kernel-desktop-latest-4.2.6-8.mga3
[aranud@localhost ~]$ [aranud@localhost ~]$
Comment 3 Arnaud Vacquier 2014-02-24 23:51:55 CET
still bug :(
Comment 4 Thomas Backlund 2014-02-25 00:16:50 CET
No, we wont install dkms-virtualbox for every virtualbox user as it unnecessary pulls in devel packages

virtualbox already requires the kmod, and urpmi will prefer the prebuilt modules over dkms package...

for example on mga4:

# urpmq --requires virtualbox |grep kmod
kmod(vboxdrv)[== 4.3.6]

# urpmf --provides --literal "kmod(vboxdrv)"
dkms-virtualbox:kmod(vboxdrv)[== 4.3.6-1.mga4]
virtualbox-kernel-3.12.9-server-1.mga4:kmod(vboxdrv)[== 4.3.6-1.mga4]
virtualbox-kernel-3.12.9-desktop-1.mga4:kmod(vboxdrv)[== 4.3.6-1.mga4]

but I will look into autoloading the module on install so it wont need a 
restart or otherwise manual intervention to make it work oob
Comment 5 Arnaud Vacquier 2014-02-27 22:21:50 CET
Sorry but without DMKS i can't launch a virtual computer...
after install that, it is run perfect.
Comment 6 Thomas Backlund 2014-04-20 21:00:16 CEST
Fixed in virtualbox 4.3.10 in mga3, mga4 and cauldron

Note You need to log in before you can comment on or make changes to this bug.